%define pkg_name        Pod-Simple
%define pkg_version     3.05
%define rpm_pkg_version 3.05
%define rpm_pkg_release 1.n0i.11

Summary:       Framework for parsing POD
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AR/ARANDAL/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test)}
%{!?_without_test:BuildRequires: perl(Carp)}
%{!?_without_test:BuildRequires: perl(Config)}
%{!?_without_test:BuildRequires: perl(Cwd)}
%{!?_without_test:BuildRequires: perl(File::Basename)}
%{!?_without_test:BuildRequires: perl(File::Find)}
%{!?_without_test:BuildRequires: perl(File::Spec)}
%{!?_without_test:BuildRequires: perl(Pod::Escapes) >= 1.04}
%{!?_without_test:BuildRequires: perl(Symbol)}
%{!?_without_test:BuildRequires: perl(Text::Wrap) >= 98.112902}


%description
Pod::Simple is a Perl library for parsing text in the Pod ("plain old
documentation") markup language that is typically used for writing
documentation for Perl and for Perl modules. The Pod format is explained in
the perlpod man page; the most common formatter is called "perldoc".


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 3.05-1.n0i.11
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 3.05

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> - 3.04-1.n0i.10
- version 3.04

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 3.02-4.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:3.02-3.n0i.8
- automatic rebuild (perl 5.8.6)

* Fri Dec 03 2004 Marius Feraru <altblue@n0i.net> 0:3.02-3.n0i.7
- automatic rebuild (perl 5.8.6)

* Fri Jul 09 2004 Marius Feraru <altblue@n0i.net> 0:3.02-2.n0i.6
- version 3.02

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:2.05-1.n0i.5
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:2.05-1.n0i.4
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Thu Jan 22 2004 Marius FERARU <altblue.net> 0:2.05-0.n0i.3
- automatic rebuild (perl v.5.8.3)

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 0:2.05-0.n0i.2
- version 2.05

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0:2.04-0.n0i.1
- version 2.04
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
